aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrew Savchenko <bircoph@gmail.com>2014-06-29 21:52:27 +0400
committerAndrew Savchenko <bircoph@gmail.com>2014-06-29 21:52:27 +0400
commit5db2b39f503b53bc996ab07e7c13e8b866e2d085 (patch)
tree7d67ad7bc299722bc00961daee0ba3c3d3658ac9 /sci-physics/root
parentMerge remote-tracking branch 'gentoo/master' into upstream-master (diff)
downloadsci-5db2b39f503b53bc996ab07e7c13e8b866e2d085.tar.gz
sci-5db2b39f503b53bc996ab07e7c13e8b866e2d085.tar.bz2
sci-5db2b39f503b53bc996ab07e7c13e8b866e2d085.zip
sci-physics/root, app-doc/root-docs: version bump to ROOT-6
This is a major version bump for ROOT-6. Please refer to package's ChangeLog files for details. Testing is welcome.
Diffstat (limited to 'sci-physics/root')
-rw-r--r--sci-physics/root/ChangeLog26
-rw-r--r--sci-physics/root/Manifest8
-rw-r--r--sci-physics/root/files/root-5.28.00b-asneeded.patch20
-rw-r--r--sci-physics/root/files/root-5.28.00b-prop-ldflags.patch13
-rw-r--r--sci-physics/root/files/root-5.28.00b-unuran.patch39
-rw-r--r--sci-physics/root/files/root-5.32.00-dotfont.patch58
-rw-r--r--sci-physics/root/files/root-5.32.00-explicit-functions.patch18
-rw-r--r--sci-physics/root/files/root-5.32.00-htmldoc.patch12
-rw-r--r--sci-physics/root/files/root-5.32.00-nobyte-compile.patch137
-rw-r--r--sci-physics/root/files/root-5.32.00-rmkdepend.patch21
-rw-r--r--sci-physics/root/files/root-5.32.00-rusage.patch12
-rw-r--r--sci-physics/root/files/root-5.34.05-nobyte-compile.patch137
-rw-r--r--sci-physics/root/files/root-5.34.13-pythia8.patch13
-rw-r--r--sci-physics/root/files/root-6.00.01-dotfont.patch (renamed from sci-physics/root/files/root-9999-dotfont.patch)0
-rw-r--r--sci-physics/root/files/root-6.00.01-geocad.patch15
-rw-r--r--sci-physics/root/files/root-6.00.01-llvm.patch13
-rw-r--r--sci-physics/root/files/root-6.00.01-nobyte-compile.patch33
-rw-r--r--sci-physics/root/files/root-6.00.01-prop-flags.patch (renamed from sci-physics/root/files/root-5.32.00-prop-flags.patch)12
-rw-r--r--sci-physics/root/metadata.xml38
-rw-r--r--sci-physics/root/root-6.00.01.ebuild440
l---------[-rw-r--r--]sci-physics/root/root-9999.ebuild411
21 files changed, 553 insertions, 923 deletions
diff --git a/sci-physics/root/ChangeLog b/sci-physics/root/ChangeLog
index b4301f40e..678d6210c 100644
--- a/sci-physics/root/ChangeLog
+++ b/sci-physics/root/ChangeLog
@@ -2,6 +2,32 @@
# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/sci-physics/root/ChangeLog,v 1.96 2012/03/29 18:21:49 bicatali Exp $
+*root-6.00.01 (29 Jun 2014)
+
+ 29 Jun 2014; Andrew Savchenko <bircoph@gmail.com> +root-6.00.01.ebuild,
+ -files/root-5.28.00b-asneeded.patch, -files/root-5.28.00b-prop-ldflags.patch,
+ -files/root-5.28.00b-unuran.patch, -files/root-5.32.00-dotfont.patch,
+ -files/root-5.32.00-explicit-functions.patch,
+ -files/root-5.32.00-htmldoc.patch, -files/root-5.32.00-nobyte-compile.patch,
+ -files/root-5.32.00-prop-flags.patch, -files/root-5.32.00-rmkdepend.patch,
+ -files/root-5.32.00-rusage.patch, -files/root-5.34.05-nobyte-compile.patch,
+ -files/root-5.34.13-pythia8.patch, +files/root-6.00.01-dotfont.patch,
+ +files/root-6.00.01-geocad.patch, +files/root-6.00.01-llvm.patch,
+ +files/root-6.00.01-nobyte-compile.patch,
+ +files/root-6.00.01-prop-flags.patch, -files/root-9999-dotfont.patch,
+ metadata.xml:
+ ROOT-6 version bump. Live version updated.
+ - Removed:
+ cint, reflex (forever);
+ ruby (not yet ported);
+ - C++11 is now enabled and mandatory,c ompatible gcc-4.8, clang and
+ icc compilers are supported.
+ - Added geocad, http, vc and vdt support.
+ - Builtins used:
+ LLVM as API incompatible with upstream.
+ libAfterImage as root with stand-alone version segfaults badly
+ and it looks like upstream is dead for a long time.
+
06 Jan 2014; Justin Lecher <jlec@gentoo.org> root-9999.ebuild:
Switch from git-2 to git-r3
diff --git a/sci-physics/root/Manifest b/sci-physics/root/Manifest
index 97569049f..923e7cbde 100644
--- a/sci-physics/root/Manifest
+++ b/sci-physics/root/Manifest
@@ -1,7 +1 @@
-DIST ROOTUsersGuideA4-9999.pdf 11182577 SHA256 f1fecb8620480e4d3a2657597e0c27ff492b438da5e7fbd51c66a3c7ac502cc8 SHA512 559bd0cc17fc3d72335aa4d6c7dde32cef9617065504477a6ea2a13fc2e41a771149568ac7ba2eac212548b735f9eba3a6175455b92c599ae80975992e1d74c3 WHIRLPOOL ce22b084860096cf4db6bdb4e14f10442fa21d7c6ad1f5526f7caef3d7e4775417c1a731b090214681b51ba4377387777547ca9dee893f096a2635a477f7eb09
-DIST ROOTUsersGuideLetter-9999.pdf 11200245 SHA256 8eb972b3701e5fe1757a15974a73c26ff4555a848c7eed242d32a0df3a24b091 SHA512 89e9ff73907c26c5a0008acdeb2a07297d42b74ce8d4fb1d0ebdb22be89ebcffc631f501ff7a438a3d5c992221c05e9941996db63e23301dcb16c91d02a94522 WHIRLPOOL e0f13f05fa9d42e22a491d821380547cbf7cdcc5b2f7223192a82abe3f8b7509c1ab80c47f7da9c70afb7084991d33015cab649fcaa46891933e56630f87f397
-DIST RooFit_Users_Manual_2.91-33.pdf 1330062 SHA256 101c4e4c41962238fcabf1caa86cafc51241a1800594491b2e62ef8b565a5646 SHA512 732d7dea3541b51e5f0b9b5b70dae57e1bdbb2504c4222d5e5095ec0f9b67307011c1f31c2c95be419b53dd8426f52f62f6c9370084208176a2ed3d7f25d783b WHIRLPOOL 033897bef4bdb13246a81ea6749f7895e6c4d639752e932130234ad9153bb399a4e5d416237850da27f139d3cccc53d9adb7a077abf20d257ce057157d6c3696
-DIST TMVAUsersGuide-v4.03.pdf 3913533 SHA256 0cdbb4a2d19eb7a86e2911cfa73a905932e862d6c94be10b7662a9355b0241af SHA512 d8bb2ce35ef32c4877059898f56513db0b1057924e21935a3d3a6f114748e167984c43fd2ec7e54197fccff875540543968fea9a8e75bf63f5f13521724a7ddb WHIRLPOOL 0a3e2e61e8e32f3a22757178adf033f9fbb89014aecd4df7f8bd49677d772bb3ad2c0f5526259611879f6bb20df647c01e23f53ade483d7a3e2242f8aee6c6aa
-DIST info.png 2060 SHA256 51de6661250f3fb71c6c8250cbc4bdc4dc4283cc90240b4dc1ee6168e8d40279 SHA512 81a730eefbe7a7e15d5840491402c7644bf7ed5d5f8f3830ed9457b343cc7882480e993ea84aef93500742cd0fe8469859cd2c925e5582b91ef56406804ae276 WHIRLPOOL 02ea6daf9e3d21947ebf5dd01c455a13f2fcbf9981be34a150056a3510122ca49e3d137d4f242c7218d4d06ace09566d513a04f09071723ac244f5a38e982bac
-DIST root-banner.png 132555 SHA256 d165e1cc175f654ff79af39193a6144678f600e14a53dd20e2b216b3e8951e94 SHA512 139347f396e88c8062d847d612949204cb80e551a826d926950ca8ab967f0d496487fed17a227fc796ae4db23fca758d91a0af7943142adbed358e98d7667b1f WHIRLPOOL dd23e26acf9303b404cda8135d6946af3b1abba3dfdff8d80e56096f810d50a01ebfb52dc1e6ee1d1b99fbb5859dc850e0e368155339b5007294d95ce8909857
-DIST rootdrawing-logo.png 15051 SHA256 1dfd913cad53a3ebd6bf560d14df918cab5a295cc7d155944a8e27284af83a6b SHA512 14aa13ebfed3c9412d7d7d04c250740b25fe3af6bcb07e618045a5cec2dc23698a251fd7df2db1a6c37331084db99b029b387ea81c25ac825fc7ae10ad164a68 WHIRLPOOL 877a959a5aead73ba69dbb805c9869cbd6a047ea476bd4e7fef80781563a61d20dad49dd4d8b0005bfc58e8f7c7d38efbb3e085a95974feb81dfc9e339c18741
+DIST root_v6.00.01.source.tar.gz 97783289 SHA256 245c75fd6b53b84cae6251f950e259311439da678b2cdebb9578d51561a6b61f SHA512 e5f56750a0637aa884ea2d9d2ebf7b677cd1fac1819042948ba3530a25366cb7d853dba6fa7127764e3ae7cec23f89ed60d8913c0ff10ce2664bcc87df1620cf WHIRLPOOL 92f34c13ee0161d556b54b1bdd971774b2637c5cd57916ee75f0572a30713df820df3bb07f276d16ca31d11fda7e762de673c943b8bffda9db501d2ee8848654
diff --git a/sci-physics/root/files/root-5.28.00b-asneeded.patch b/sci-physics/root/files/root-5.28.00b-asneeded.patch
deleted file mode 100644
index b845247e1..000000000
--- a/sci-physics/root/files/root-5.28.00b-asneeded.patch
+++ /dev/null
@@ -1,20 +0,0 @@
---- root.orig/configure 2010-12-20 07:17:54.000000000 +0000
-+++ root/configure 2010-12-20 07:16:05.000000000 +0000
-@@ -709,7 +709,7 @@
- cat <<EOF > conftest.mk
- include ${ac_srcdir}/config/Makefile.${arch}
- conftest: conftest.c
-- \$(CC) \$(CFLAGS) \$(LDFLAGS) $linkdir $linklib \$< -o \$@
-+ \$(CC) \$(CFLAGS) \$(LDFLAGS) \$< $linkdir $linklib -o \$@
-
- conftest.c:
- echo "int main() { return 0; }" > \$@
-@@ -723,7 +723,7 @@
- cat <<EOF > conftest.mk
- include ${ac_srcdir}/config/Makefile.${arch}
- conftest:conftest.c
-- \$(CC) \$(CFLAGS) \$(LDFLAGS) $linkdir $linklib \$< -o \$@
-+ \$(CC) \$(CFLAGS) \$(LDFLAGS) \$< $linkdir $linklib -o \$@
-
- conftest.c:
- echo "extern int $linksymbol (); " > \$@
diff --git a/sci-physics/root/files/root-5.28.00b-prop-ldflags.patch b/sci-physics/root/files/root-5.28.00b-prop-ldflags.patch
deleted file mode 100644
index 732431943..000000000
--- a/sci-physics/root/files/root-5.28.00b-prop-ldflags.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-diff -Naur root.orig/config/Makefile.in root/config/Makefile.in
---- root.orig/config/Makefile.in 2010-12-14 17:20:26.000000000 +0300
-+++ root/config/Makefile.in 2010-12-17 22:33:34.902161458 +0300
-@@ -27,7 +27,7 @@
-
- EXTRA_CFLAGS := -Iinclude @cflags@
- EXTRA_CXXFLAGS := -Iinclude @cflags@
--EXTRA_LDFLAGS := @ldflags@
-+EXTRA_LDFLAGS := @ldflags@ $(LDFLAGS)
- WINRTDEBUG := @winrtdebug@
-
- GLBPATCHFLAGS := @glbpatchcflags@
-
diff --git a/sci-physics/root/files/root-5.28.00b-unuran.patch b/sci-physics/root/files/root-5.28.00b-unuran.patch
deleted file mode 100644
index 76422daed..000000000
--- a/sci-physics/root/files/root-5.28.00b-unuran.patch
+++ /dev/null
@@ -1,39 +0,0 @@
-diff -ur root-trunk.orig/math/unuran/Module.mk root-trunk/math/unuran/Module.mk
---- root.orig/math/unuran/Module.mk 2010-11-25 20:41:32.000000000 +0100
-+++ root/math/unuran/Module.mk 2010-11-25 20:51:47.190704977 +0100
-@@ -20,7 +20,7 @@
- UNURANETAG := $(call stripsrc,$(UNURANDIRS)/headers.d)
- UNRCFG := $(call stripsrc,$(UNURANDIRS)/$(UNRVERS)/config.h)
-
--UNRTARCONTENT:=$(subst $(UNRVERS),$(UNRDIRS),$(shell mkdir -p $(UNRDIR); cd $(UNRDIR); gunzip -c $(UNRSRCS) | tar tf -))
-+UNRTARCONTENT:=
- UNRS := $(filter %.c, \
- $(filter $(UNRDIRS)/src/utils/%,$(UNRTARCONTENT)) \
- $(filter $(UNRDIRS)/src/methods/%,$(UNRTARCONTENT)) \
-@@ -69,10 +69,9 @@
- ##### local rules #####
- .PHONY: all-$(MODNAME) clean-$(MODNAME) distclean-$(MODNAME)
-
--include/%.h: $(UNURANDIRI)/%.h $(UNURANETAG)
-+include/%.h: $(UNURANDIRI)/%.h
- cp $< $@
-
--$(UNURANDEP): $(UNRCFG)
- $(UNRS): $(UNURANETAG)
-
- $(UNURANETAG): $(UNRSRCS)
-@@ -125,12 +124,12 @@
- GNUMAKE=$(MAKE) ./configure CC="$$ACC" \
- CFLAGS="$$ACFLAGS");
-
--$(UNURANLIB): $(UNRCFG) $(UNRO) $(UNURANO) $(UNURANDO) $(ORDER_) \
-+$(UNURANLIB): $(UNURANO) $(UNURANDO) $(ORDER_) \
- $(MAINLIBS) $(UNURANLIBDEP)
- @$(MAKELIB) $(PLATFORM) $(LD) "$(LDFLAGS)" \
- "$(SOFLAGS)" libUnuran.$(SOEXT) $@ \
- "$(UNURANO) $(UNURANDO)" \
-- "$(UNURANLIBEXTRA) $(UNRO)"
-+ "$(UNURANLIBEXTRA) -lunuran"
-
- $(UNURANDS): $(UNRINIT) $(UNURANDH1) $(UNURANL) $(ROOTCINTTMPDEP)
- $(MAKEDIR)
diff --git a/sci-physics/root/files/root-5.32.00-dotfont.patch b/sci-physics/root/files/root-5.32.00-dotfont.patch
deleted file mode 100644
index 85d6dea76..000000000
--- a/sci-physics/root/files/root-5.32.00-dotfont.patch
+++ /dev/null
@@ -1,58 +0,0 @@
---- root/html/src/TClassDocOutput.cxx.orig 2012-05-25 16:18:10.000000000 +0400
-+++ root/html/src/TClassDocOutput.cxx 2012-05-29 21:36:53.813593012 +0400
-@@ -625,7 +625,7 @@
- << "size=\"8,10\";" << endl
- << "ratio=auto;" << endl
- << "margin=0;" << endl
-- << "node [shape=plaintext,fontsize=40,width=4,height=0.75];" << endl
-+ << "node [shape=plaintext,fontsize=40,width=4,height=0.75,fontname=\"DejaVu Serif\"];" << endl
- << "\"" << fCurrentClass->GetName() << "\" [shape=ellipse];" << endl;
-
- std::stringstream ssDep;
-@@ -704,7 +704,7 @@
- outdot << ";" << endl;
- } else if (writeAndMoreFor) {
- outdot << " \"...andmore" << writeAndMoreFor->GetName()
-- << "\" [label=\"...and more\",fontname=\"Times-Italic\",fillcolor=lightgrey,style=filled];" << endl;
-+ << "\" [label=\"...and more\",fontname=\"DejaVu Serif Italic\",fillcolor=lightgrey,style=filled];" << endl;
- }
- }
- if (!levelExists) break;
-@@ -733,7 +733,7 @@
- << "ranksep=0.1;" << endl
- << "nodesep=0;" << endl
- << "margin=0;" << endl;
-- outdot << " node [style=filled,width=0.7,height=0.15,fixedsize=true,shape=plaintext,fontsize=10];" << endl;
-+ outdot << " node [style=filled,width=0.7,height=0.15,fixedsize=true,shape=plaintext,fontsize=10,fontname=\"DejaVu Serif\"];" << endl;
-
- std::stringstream ssDep;
- const int numColumns = 3;
-@@ -939,7 +939,7 @@
- << "ranksep=0;" << endl
- << "nodesep=0;" << endl
- << "size=\"8,10\";" << endl
-- << "node [fontsize=20,shape=plaintext];" << endl;
-+ << "node [fontsize=20,shape=plaintext,fontname=\"DejaVu Serif\"];" << endl;
-
- for (std::list<std::string>::iterator iFile = listFilesToParse.begin();
- iFile != listFilesToParse.end(); ++iFile) {
-@@ -999,7 +999,8 @@
- << "ranksep=0.7;" << endl
- << "nodesep=0.3;" << endl
- << "size=\"8,8\";" << endl
-- << "ratio=compress;" << endl;
-+ << "ratio=compress;" << endl
-+ << "node [fontname=\"DejaVu Serif\"];" << endl;
-
- TString libs(fCurrentClass->GetSharedLibs());
- outdot << "\"All Libraries\" [URL=\"LibraryDependencies.html\",shape=box,rank=max,fillcolor=lightgray,style=filled];" << endl;
-@@ -1109,7 +1110,8 @@
-
- dotout << "digraph G {" << endl
- << "ratio=auto;" << endl
-- << "rankdir=RL;" << endl;
-+ << "rankdir=RL;" << endl
-+ << "node [fontname=\"DejaVu Serif\"];" << endl;
-
- // loop on all classes
- TClassDocInfo* cdi = 0;
diff --git a/sci-physics/root/files/root-5.32.00-explicit-functions.patch b/sci-physics/root/files/root-5.32.00-explicit-functions.patch
deleted file mode 100644
index 570d61e68..000000000
--- a/sci-physics/root/files/root-5.32.00-explicit-functions.patch
+++ /dev/null
@@ -1,18 +0,0 @@
---- root/io/io/Module.mk.orig 2012-02-29 19:46:38.000000000 +0400
-+++ root/io/io/Module.mk 2012-03-09 02:29:19.905665572 +0400
-@@ -67,15 +67,5 @@
- distclean:: distclean-$(MODNAME)
-
- ##### extra rules ######
--#ifeq ($(GCC_VERS_FULL),gcc-4.4.0)
--ifeq ($(GCC_VERS),gcc-4.4)
--ifneq ($(filter -O%,$(OPT)),)
- $(call stripsrc,$(IODIRS)/TStreamerInfoReadBuffer.o): CXXFLAGS += -DR__EXPLICIT_FUNCTION_INSTANTIATION
--endif
--endif
--ifeq ($(GCC_VERS),gcc-4.5)
--ifneq ($(filter -O%,$(OPT)),)
- $(call stripsrc,$(IODIRS)/TStreamerInfoReadBuffer.o): CXXFLAGS += -DR__EXPLICIT_FUNCTION_INSTANTIATION
--endif
--endif
--
diff --git a/sci-physics/root/files/root-5.32.00-htmldoc.patch b/sci-physics/root/files/root-5.32.00-htmldoc.patch
deleted file mode 100644
index 3b80b39cd..000000000
--- a/sci-physics/root/files/root-5.32.00-htmldoc.patch
+++ /dev/null
@@ -1,12 +0,0 @@
---- root/html/src/THtml.cxx.orig 2012-05-25 16:18:10.000000000 +0400
-+++ root/html/src/THtml.cxx 2012-05-29 19:22:40.810563296 +0400
-@@ -1913,6 +1913,9 @@
- void THtml::CreateStyleSheet() const {
- // Write the default ROOT style sheet.
- CopyFileFromEtcDir("ROOT.css");
-+ CopyFileFromEtcDir("info.png");
-+ CopyFileFromEtcDir("root-banner.png");
-+ CopyFileFromEtcDir("rootdrawing-logo.png");
- CopyFileFromEtcDir("shadowAlpha.png");
- CopyFileFromEtcDir("shadow.gif");
- }
diff --git a/sci-physics/root/files/root-5.32.00-nobyte-compile.patch b/sci-physics/root/files/root-5.32.00-nobyte-compile.patch
deleted file mode 100644
index 179e5790c..000000000
--- a/sci-physics/root/files/root-5.32.00-nobyte-compile.patch
+++ /dev/null
@@ -1,137 +0,0 @@
-diff -Naur root.as-needed/Makefile root/Makefile
---- root.as-needed/Makefile 2011-07-10 10:42:49.758191296 +0400
-+++ root/Makefile 2011-07-10 10:43:21.493339703 +0400
-@@ -1167,10 +1167,7 @@
- if test "x$(RFLX_GRFLXPY)" != "x"; then \
- rm -f $(DESTDIR)$(LIBDIR)/$(RFLX_GRFLXPY); \
- fi; \
-- if test "x$(RFLX_GRFLXPYC)" != "x"; then \
-- rm -f $(DESTDIR)$(LIBDIR)/$(RFLX_GRFLXPYC); \
-- fi; \
-- if test "x$(RFLX_GRFLXPY)$(RFLX_GRFLXPYC)" != "x"; then \
-+ if test "x$(RFLX_GRFLXPY)" != "x"; then \
- dir=$(RFLX_GRFLXDD:lib/=); \
- while test "x$${dir}" != "x" && \
- test -d $(DESTDIR)$(LIBDIR)/$${dir} && \
-diff -Naur root.as-needed/bindings/pyroot/Module.mk root/bindings/pyroot/Module.mk
---- root.as-needed/bindings/pyroot/Module.mk 2011-07-10 10:42:48.991561304 +0400
-+++ root/bindings/pyroot/Module.mk 2011-07-10 10:43:21.493339703 +0400
-@@ -48,8 +48,6 @@
- ROOTPY := $(subst $(MODDIR),$(LPATH),$(ROOTPYS))
- $(LPATH)/%.py: $(MODDIR)/%.py; cp $< $@
- endif
--ROOTPYC := $(ROOTPY:.py=.pyc)
--ROOTPYO := $(ROOTPY:.py=.pyo)
-
- # used in the main Makefile
- ALLHDRS += $(patsubst $(MODDIRI)/%.h,include/%.h,$(PYROOTH))
-@@ -68,10 +66,8 @@
- include/%.h: $(PYROOTDIRI)/%.h
- cp $< $@
-
--%.pyc: %.py; python -c 'import py_compile; py_compile.compile( "$<" )'
--%.pyo: %.py; python -O -c 'import py_compile; py_compile.compile( "$<" )'
-
--$(PYROOTLIB): $(PYROOTO) $(PYROOTDO) $(ROOTPY) $(ROOTPYC) $(ROOTPYO) \
-+$(PYROOTLIB): $(PYROOTO) $(PYROOTDO) $(ROOTPY) \
- $(ROOTLIBSDEP) $(PYTHONLIBDEP)
- @$(MAKELIB) $(PLATFORM) $(LD) "$(LDFLAGS)" \
- "$(SOFLAGS)" libPyROOT.$(SOEXT) $@ \
-@@ -113,7 +109,7 @@
-
- distclean-$(MODNAME): clean-$(MODNAME)
- @rm -f $(PYROOTDEP) $(PYROOTDS) $(PYROOTDH) $(PYROOTLIB) \
-- $(ROOTPY) $(ROOTPYC) $(ROOTPYO) $(PYROOTMAP) \
-+ $(ROOTPY) $(PYROOTMAP) \
- $(PYROOTPYD) $(PYTHON64DEP) $(PYTHON64)
-
- distclean:: distclean-$(MODNAME)
-diff -Naur root.as-needed/build/package/debian/rules root/build/package/debian/rules
---- root.as-needed/build/package/debian/rules 2011-07-10 10:42:49.241549346 +0400
-+++ root/build/package/debian/rules 2011-07-10 10:48:06.989670589 +0400
-@@ -691,10 +691,6 @@
- -X$(SYSCONFDIR)/root/system.rootauthrc \
- -X$(SYSCONFDIR)/root/system.rootdaemonrc \
- -X$(PREFIX)/lib/root/$(SOVERS)/libAfterImage.a \
-- -X$(PREFIX)/lib/root/$(SOVERS)/PyCintex.pyc \
-- -X$(PREFIX)/lib/root/$(SOVERS)/PyCintex.pyo \
-- -X$(PREFIX)/lib/root/$(SOVERS)/ROOT.pyc \
-- -X$(PREFIX)/lib/root/$(SOVERS)/ROOT.pyo \
- -X$(PREFIX)/lib/root/$(SOVERS)/cint7 \
- -X$(PREFIX)/include/root/Minuit2
- # $(foreach i, \
-diff -Naur root.as-needed/cint/cintex/Module.mk root/cint/cintex/Module.mk
---- root.as-needed/cint/cintex/Module.mk 2011-07-10 10:42:49.104889217 +0400
-+++ root/cint/cintex/Module.mk 2011-07-10 10:43:21.496672876 +0400
-@@ -31,10 +31,6 @@
- CINTEXPY := $(subst $(MODDIR)/python,$(LPATH),$(CINTEXPYS))
- $(LPATH)/%.py: $(MODDIR)/python/%.py; cp $< $@
- endif
--ifneq ($(BUILDPYTHON),no)
--CINTEXPYC := $(CINTEXPY:.py=.pyc)
--CINTEXPYO := $(CINTEXPY:.py=.pyo)
--endif
-
- # used in the main Makefile
- ALLHDRS += $(patsubst $(MODDIRI)/Cintex/%.h,include/Cintex/%.h,$(CINTEXH))
-@@ -86,8 +82,6 @@
- fi)
- cp $< $@
-
--%.pyc: %.py; python -c 'import py_compile; py_compile.compile( "$<" )'
--%.pyo: %.py; python -O -c 'import py_compile; py_compile.compile( "$<" )'
-
- $(CINTEXLIB): $(CINTEXO) $(CINTEXPY) $(CINTEXPYC) $(CINTEXPYO) \
- $(ORDER_) $(subst $(CINTEXLIB),,$(MAINLIBS)) $(CINTEXLIBDEP)
-diff -Naur root.as-needed/cint/reflex/Module.mk root/cint/reflex/Module.mk
---- root.as-needed/cint/reflex/Module.mk 2011-07-10 10:42:49.074890651 +0400
-+++ root/cint/reflex/Module.mk 2011-07-10 10:43:21.496672876 +0400
-@@ -48,9 +48,6 @@
- RFLX_GRFLXS := $(wildcard $(RFLX_GRFLXSD)/*.py)
- RFLX_GRFLXPY := $(patsubst $(RFLX_GRFLXSD)/%.py,$(RFLX_GRFLXDD)/%.py,$(RFLX_GRFLXS))
- RFLX_GRFLXPY += $(RFLX_GCCXMLPATHPY)
--ifneq ($(BUILDPYTHON),no)
--RFLX_GRFLXPYC := $(subst .py,.pyc,$(RFLX_GRFLXPY))
--endif
-
- RFLX_LIBDIR = $(LIBDIR)
-
-@@ -92,7 +89,7 @@
-
- ALLEXECS += $(RFLX_GENMAPX)
-
--POSTBIN += $(RFLX_GRFLXPYC) $(RFLX_GRFLXPY)
-+POSTBIN += $(RFLX_GRFLXPY)
-
- ##### local rules #####
- .PHONY: all-$(MODNAME) clean-$(MODNAME) distclean-$(MODNAME) \
-@@ -122,8 +119,6 @@
- mkdir -p lib/python/genreflex; fi )
- cp $< $@
-
--$(RFLX_GRFLXDD)/%.pyc: $(RFLX_GRFLXDD)/%.py
-- @python -c 'import py_compile; py_compile.compile( "$<" )'
-
- $(RFLX_GENMAPO) : CXXFLAGS += -I$(REFLEXDIRS)/genmap
-
-@@ -149,7 +144,7 @@
- $(RLIBMAP) -o $@ -l $(REFLEXDICTLIB) \
- -d $(REFLEXDICTLIBDEPM) -c $(REFLEXL)
-
--all-$(MODNAME): $(REFLEXLIB) $(REFLEXDICTLIB) $(REFLEXDICTMAP) $(RFLX_GRFLXPYC) $(RFLX_GRFLXPY)
-+all-$(MODNAME): $(REFLEXLIB) $(REFLEXDICTLIB) $(REFLEXDICTMAP) $(RFLX_GRFLXPY)
-
- clean-genreflex:
- @rm -rf lib/python/genreflex
-diff -Naur root.as-needed/cint/reflex/python/CMakeLists.txt root/cint/reflex/python/CMakeLists.txt
---- root.as-needed/cint/reflex/python/CMakeLists.txt 2011-07-10 10:42:49.074890651 +0400
-+++ root/cint/reflex/python/CMakeLists.txt 2011-07-10 10:43:21.496672876 +0400
-@@ -15,7 +15,7 @@
- ##################### sources ####################
-
- FILE(GLOB_RECURSE GENREFLEX_SRCS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} genreflex/*.py)
--SET(GENREFLEX_SCRIPT ${CMAKE_CURRENT_BINARY_DIR}/genreflex/genreflex.pyc PARENT_SCOPE)
-+SET(GENREFLEX_SCRIPT PARENT_SCOPE)
-
- ##################### gccxmlpath ####################
-
diff --git a/sci-physics/root/files/root-5.32.00-rmkdepend.patch b/sci-physics/root/files/root-5.32.00-rmkdepend.patch
deleted file mode 100644
index 6658660e1..000000000
--- a/sci-physics/root/files/root-5.32.00-rmkdepend.patch
+++ /dev/null
@@ -1,21 +0,0 @@
---- root/build/rmkdepend/main.c.orig 2012-05-09 15:00:06.000000000 +0400
-+++ root/build/rmkdepend/main.c 2013-12-22 01:58:44.939245160 +0400
-@@ -52,18 +52,6 @@
- #else
- #include <io.h>
- #endif
--#if !defined(__hpux)
--# if defined(__APPLE__)
--# include <AvailabilityMacros.h>
--# if !defined(MAC_OS_X_VERSION_10_4)
--extern int fchmod(int, int);
--# endif
--# elif defined(__CYGWIN__)
--extern int fchmod(int, mode_t);
--#else
--extern int fchmod(int, int);
--# endif
--#endif
-
- #ifdef MINIX
- #define USE_CHMOD 1
diff --git a/sci-physics/root/files/root-5.32.00-rusage.patch b/sci-physics/root/files/root-5.32.00-rusage.patch
deleted file mode 100644
index 992370c55..000000000
--- a/sci-physics/root/files/root-5.32.00-rusage.patch
+++ /dev/null
@@ -1,12 +0,0 @@
---- root/core/unix/src/TUnixSystem.cxx.orig 2012-05-09 14:59:38.000000000 +0400
-+++ root/core/unix/src/TUnixSystem.cxx 2013-12-22 02:35:01.983262490 +0400
-@@ -4882,8 +4882,8 @@
-
- //---- System, CPU and Memory info ---------------------------------------------
-
--#if defined(R__MACOSX)
- #include <sys/resource.h>
-+#if defined(R__MACOSX)
- #include <mach/mach.h>
- #include <mach/mach_error.h>
-
diff --git a/sci-physics/root/files/root-5.34.05-nobyte-compile.patch b/sci-physics/root/files/root-5.34.05-nobyte-compile.patch
deleted file mode 100644
index ec67a1588..000000000
--- a/sci-physics/root/files/root-5.34.05-nobyte-compile.patch
+++ /dev/null
@@ -1,137 +0,0 @@
-diff -Naur root.as-needed/Makefile root/Makefile
---- a/Makefile.orig 2013-02-15 02:27:56.000000000 +0400
-+++ b/Makefile 2013-02-23 02:22:14.556465852 +0400
-@@ -1258,10 +1258,7 @@
- for lib in $(RFLX_GRFLXPY); do \
- rm -f $(DESTDIR)$(LIBDIR)/$${lib#lib/}; \
- done; \
-- for lib in $(RFLX_GRFLXPYC); do \
-- rm -f $(DESTDIR)$(LIBDIR)/$${lib#lib/}; \
-- done; \
-- if test "x$(RFLX_GRFLXPY)$(RFLX_GRFLXPYC)" != "x"; then \
-+ if test "x$(RFLX_GRFLXPY)" != "x"; then \
- dir=$(subst lib/,,$(RFLX_GRFLXDD)); \
- while test "x$${dir}" != "x" && \
- test -d $(DESTDIR)$(LIBDIR)/$${dir} && \
-diff -Naur root.as-needed/bindings/pyroot/Module.mk root/bindings/pyroot/Module.mk
---- root.as-needed/bindings/pyroot/Module.mk 2011-07-10 10:42:48.991561304 +0400
-+++ root/bindings/pyroot/Module.mk 2011-07-10 10:43:21.493339703 +0400
-@@ -48,8 +48,6 @@
- ROOTPY := $(subst $(MODDIR),$(LPATH),$(ROOTPYS))
- $(LPATH)/%.py: $(MODDIR)/%.py; cp $< $@
- endif
--ROOTPYC := $(ROOTPY:.py=.pyc)
--ROOTPYO := $(ROOTPY:.py=.pyo)
-
- # used in the main Makefile
- ALLHDRS += $(patsubst $(MODDIRI)/%.h,include/%.h,$(PYROOTH))
-@@ -68,10 +66,8 @@
- include/%.h: $(PYROOTDIRI)/%.h
- cp $< $@
-
--%.pyc: %.py; python -c 'import py_compile; py_compile.compile( "$<" )'
--%.pyo: %.py; python -O -c 'import py_compile; py_compile.compile( "$<" )'
-
--$(PYROOTLIB): $(PYROOTO) $(PYROOTDO) $(ROOTPY) $(ROOTPYC) $(ROOTPYO) \
-+$(PYROOTLIB): $(PYROOTO) $(PYROOTDO) $(ROOTPY) \
- $(ROOTLIBSDEP) $(PYTHONLIBDEP)
- @$(MAKELIB) $(PLATFORM) $(LD) "$(LDFLAGS)" \
- "$(SOFLAGS)" libPyROOT.$(SOEXT) $@ \
-@@ -113,7 +109,7 @@
-
- distclean-$(MODNAME): clean-$(MODNAME)
- @rm -f $(PYROOTDEP) $(PYROOTDS) $(PYROOTDH) $(PYROOTLIB) \
-- $(ROOTPY) $(ROOTPYC) $(ROOTPYO) $(PYROOTMAP) \
-+ $(ROOTPY) $(PYROOTMAP) \
- $(PYROOTPYD) $(PYTHON64DEP) $(PYTHON64)
-
- distclean:: distclean-$(MODNAME)
-diff -Naur root.as-needed/build/package/debian/rules root/build/package/debian/rules
---- root.as-needed/build/package/debian/rules 2011-07-10 10:42:49.241549346 +0400
-+++ root/build/package/debian/rules 2011-07-10 10:48:06.989670589 +0400
-@@ -691,10 +691,6 @@
- -X$(SYSCONFDIR)/root/system.rootauthrc \
- -X$(SYSCONFDIR)/root/system.rootdaemonrc \
- -X$(PREFIX)/lib/root/$(SOVERS)/libAfterImage.a \
-- -X$(PREFIX)/lib/root/$(SOVERS)/PyCintex.pyc \
-- -X$(PREFIX)/lib/root/$(SOVERS)/PyCintex.pyo \
-- -X$(PREFIX)/lib/root/$(SOVERS)/ROOT.pyc \
-- -X$(PREFIX)/lib/root/$(SOVERS)/ROOT.pyo \
- -X$(PREFIX)/lib/root/$(SOVERS)/cint7 \
- -X$(PREFIX)/include/root/Minuit2
- # $(foreach i, \
-diff -Naur root.as-needed/cint/cintex/Module.mk root/cint/cintex/Module.mk
---- root.as-needed/cint/cintex/Module.mk 2011-07-10 10:42:49.104889217 +0400
-+++ root/cint/cintex/Module.mk 2011-07-10 10:43:21.496672876 +0400
-@@ -31,10 +31,6 @@
- CINTEXPY := $(subst $(MODDIR)/python,$(LPATH),$(CINTEXPYS))
- $(LPATH)/%.py: $(MODDIR)/python/%.py; cp $< $@
- endif
--ifneq ($(BUILDPYTHON),no)
--CINTEXPYC := $(CINTEXPY:.py=.pyc)
--CINTEXPYO := $(CINTEXPY:.py=.pyo)
--endif
-
- # used in the main Makefile
- ALLHDRS += $(patsubst $(MODDIRI)/Cintex/%.h,include/Cintex/%.h,$(CINTEXH))
-@@ -86,8 +82,6 @@
- fi)
- cp $< $@
-
--%.pyc: %.py; python -c 'import py_compile; py_compile.compile( "$<" )'
--%.pyo: %.py; python -O -c 'import py_compile; py_compile.compile( "$<" )'
-
- $(CINTEXLIB): $(CINTEXO) $(CINTEXPY) $(CINTEXPYC) $(CINTEXPYO) \
- $(ORDER_) $(subst $(CINTEXLIB),,$(MAINLIBS)) $(CINTEXLIBDEP)
-diff -Naur root.as-needed/cint/reflex/Module.mk root/cint/reflex/Module.mk
---- root.as-needed/cint/reflex/Module.mk 2011-07-10 10:42:49.074890651 +0400
-+++ root/cint/reflex/Module.mk 2011-07-10 10:43:21.496672876 +0400
-@@ -48,9 +48,6 @@
- RFLX_GRFLXS := $(wildcard $(RFLX_GRFLXSD)/*.py)
- RFLX_GRFLXPY := $(patsubst $(RFLX_GRFLXSD)/%.py,$(RFLX_GRFLXDD)/%.py,$(RFLX_GRFLXS))
- RFLX_GRFLXPY += $(RFLX_GCCXMLPATHPY)
--ifneq ($(BUILDPYTHON),no)
--RFLX_GRFLXPYC := $(subst .py,.pyc,$(RFLX_GRFLXPY))
--endif
-
- RFLX_LIBDIR = $(LIBDIR)
-
-@@ -92,7 +89,7 @@
-
- ALLEXECS += $(RFLX_GENMAPX)
-
--POSTBIN += $(RFLX_GRFLXPYC) $(RFLX_GRFLXPY)
-+POSTBIN += $(RFLX_GRFLXPY)
-
- ##### local rules #####
- .PHONY: all-$(MODNAME) clean-$(MODNAME) distclean-$(MODNAME) \
-@@ -122,8 +119,6 @@
- mkdir -p lib/python/genreflex; fi )
- cp $< $@
-
--$(RFLX_GRFLXDD)/%.pyc: $(RFLX_GRFLXDD)/%.py
-- @python -c 'import py_compile; py_compile.compile( "$<" )'
-
- $(RFLX_GENMAPO) : CXXFLAGS += -I$(REFLEXDIRS)/genmap
-
-@@ -149,7 +144,7 @@
- $(RLIBMAP) -o $@ -l $(REFLEXDICTLIB) \
- -d $(REFLEXDICTLIBDEPM) -c $(REFLEXL)
-
--all-$(MODNAME): $(REFLEXLIB) $(REFLEXDICTLIB) $(REFLEXDICTMAP) $(RFLX_GRFLXPYC) $(RFLX_GRFLXPY)
-+all-$(MODNAME): $(REFLEXLIB) $(REFLEXDICTLIB) $(REFLEXDICTMAP) $(RFLX_GRFLXPY)
-
- clean-genreflex:
- @rm -rf lib/python/genreflex
-diff -Naur root.as-needed/cint/reflex/python/CMakeLists.txt root/cint/reflex/python/CMakeLists.txt
---- root.as-needed/cint/reflex/python/CMakeLists.txt 2011-07-10 10:42:49.074890651 +0400
-+++ root/cint/reflex/python/CMakeLists.txt 2011-07-10 10:43:21.496672876 +0400
-@@ -15,7 +15,7 @@
- ##################### sources ####################
-
- FILE(GLOB_RECURSE GENREFLEX_SRCS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} genreflex/*.py)
--SET(GENREFLEX_SCRIPT ${CMAKE_CURRENT_BINARY_DIR}/genreflex/genreflex.pyc PARENT_SCOPE)
-+SET(GENREFLEX_SCRIPT PARENT_SCOPE)
-
- ##################### gccxmlpath ####################
-
diff --git a/sci-physics/root/files/root-5.34.13-pythia8.patch b/sci-physics/root/files/root-5.34.13-pythia8.patch
deleted file mode 100644
index 07f62bb8c..000000000
--- a/sci-physics/root/files/root-5.34.13-pythia8.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-diff --git a/montecarlo/pythia8/Module.mk b/montecarlo/pythia8/Module.mk
-index b3d0ee4..86fb3d5 100644
---- a/montecarlo/pythia8/Module.mk
-+++ b/montecarlo/pythia8/Module.mk
-@@ -50,7 +50,7 @@ $(PYTHIA8LIB): $(PYTHIA8O) $(PYTHIA8DO) $(ORDER_) $(MAINLIBS) $(PYTHIA8LIBDEP)
- $(PYTHIA8DS): $(PYTHIA8H) $(PYTHIA8L) $(ROOTCINTTMPDEP)
- $(MAKEDIR)
- @echo "Generating dictionary $@..."
-- $(ROOTCINTTMP) -f $@ -c -I$(FPYTHIA8INCDIR) $(PYTHIA8H) $(PYTHIA8L)
-+ $(ROOTCINTTMP) -f $@ -c -p -I$(FPYTHIA8INCDIR) $(PYTHIA8H) $(PYTHIA8L)
-
- $(PYTHIA8MAP): $(RLIBMAP) $(MAKEFILEDEP) $(PYTHIA8L)
- $(RLIBMAP) -o $@ -l $(PYTHIA8LIB) \
diff --git a/sci-physics/root/files/root-9999-dotfont.patch b/sci-physics/root/files/root-6.00.01-dotfont.patch
index 6c765f75a..6c765f75a 100644
--- a/sci-physics/root/files/root-9999-dotfont.patch
+++ b/sci-physics/root/files/root-6.00.01-dotfont.patch
diff --git a/sci-physics/root/files/root-6.00.01-geocad.patch b/sci-physics/root/files/root-6.00.01-geocad.patch
new file mode 100644
index 000000000..2742a74bd
--- /dev/null
+++ b/sci-physics/root/files/root-6.00.01-geocad.patch
@@ -0,0 +1,15 @@
+diff --git a/geom/geocad/inc/TGeoToOCC.h b/geom/geocad/inc/TGeoToOCC.h
+index 892f225..86eb9e1 100644
+--- a/geom/geocad/inc/TGeoToOCC.h
++++ b/geom/geocad/inc/TGeoToOCC.h
+@@ -13,8 +13,10 @@
+ #define ROOT_TGeoToOCC
+
+ //Cascade
++#define Printf Printf_opencascade
+ #include <TopoDS_Shape.hxx>
+ #include <TopoDS_Wire.hxx>
++#undef Printf
+
+ //Root
+ #ifndef ROOT_TGeoXtru
diff --git a/sci-physics/root/files/root-6.00.01-llvm.patch b/sci-physics/root/files/root-6.00.01-llvm.patch
new file mode 100644
index 000000000..c6abb353e
--- /dev/null
+++ b/sci-physics/root/files/root-6.00.01-llvm.patch
@@ -0,0 +1,13 @@
+diff --git a/interpreter/llvm/src/Makefile.config.in b/interpreter/llvm/src/Makefile.config.in
+index 7633be2..c8756b1 100644
+--- a/interpreter/llvm/src/Makefile.config.in
++++ b/interpreter/llvm/src/Makefile.config.in
+@@ -170,6 +170,8 @@ CXXFLAGS += @CXXFLAGS@
+
+ # Linker flags.
+ LDFLAGS += @LDFLAGS@
++NOUNDEF := -Wl,--no-undefined
++LDFLAGS := $(filter-out $(NOUNDEF),$(LDFLAGS))
+
+ # Path to the library archiver program.
+ AR_PATH = @AR@
diff --git a/sci-physics/root/files/root-6.00.01-nobyte-compile.patch b/sci-physics/root/files/root-6.00.01-nobyte-compile.patch
new file mode 100644
index 000000000..aa58f2068
--- /dev/null
+++ b/sci-physics/root/files/root-6.00.01-nobyte-compile.patch
@@ -0,0 +1,33 @@
+diff -Naur root.as-needed/bindings/pyroot/Module.mk root/bindings/pyroot/Module.mk
+--- root.as-needed/bindings/pyroot/Module.mk 2011-07-10 10:42:48.991561304 +0400
++++ root/bindings/pyroot/Module.mk 2011-07-10 10:43:21.493339703 +0400
+@@ -48,8 +48,6 @@
+ ROOTPY := $(subst $(MODDIR),$(LPATH),$(ROOTPYS))
+ $(LPATH)/%.py: $(MODDIR)/%.py; cp $< $@
+ endif
+-ROOTPYC := $(ROOTPY:.py=.pyc)
+-ROOTPYO := $(ROOTPY:.py=.pyo)
+
+ # used in the main Makefile
+ ALLHDRS += $(patsubst $(MODDIRI)/%.h,include/%.h,$(PYROOTH))
+@@ -68,10 +66,8 @@
+ include/%.h: $(PYROOTDIRI)/%.h
+ cp $< $@
+
+-%.pyc: %.py; python -c 'import py_compile; py_compile.compile( "$<" )'
+-%.pyo: %.py; python -O -c 'import py_compile; py_compile.compile( "$<" )'
+
+-$(PYROOTLIB): $(PYROOTO) $(PYROOTDO) $(ROOTPY) $(ROOTPYC) $(ROOTPYO) \
++$(PYROOTLIB): $(PYROOTO) $(PYROOTDO) $(ROOTPY) \
+ $(ROOTLIBSDEP) $(PYTHONLIBDEP)
+ @$(MAKELIB) $(PLATFORM) $(LD) "$(LDFLAGS)" \
+ "$(SOFLAGS)" libPyROOT.$(SOEXT) $@ \
+@@ -113,7 +109,7 @@
+
+ distclean-$(MODNAME): clean-$(MODNAME)
+ @rm -f $(PYROOTDEP) $(PYROOTDS) $(PYROOTDH) $(PYROOTLIB) \
+- $(ROOTPY) $(ROOTPYC) $(ROOTPYO) $(PYROOTMAP) \
++ $(ROOTPY) $(PYROOTMAP) \
+ $(PYROOTPYD) $(PYTHON64DEP) $(PYTHON64)
+
+ distclean:: distclean-$(MODNAME)
diff --git a/sci-physics/root/files/root-5.32.00-prop-flags.patch b/sci-physics/root/files/root-6.00.01-prop-flags.patch
index 7dfeb1cc3..3a1002478 100644
--- a/sci-physics/root/files/root-5.32.00-prop-flags.patch
+++ b/sci-physics/root/files/root-6.00.01-prop-flags.patch
@@ -1,6 +1,8 @@
---- root/config/Makefile.in.orig 2013-01-21 22:04:43.011452938 +0400
-+++ root/config/Makefile.in 2013-01-21 22:04:18.027352209 +0400
-@@ -25,9 +25,9 @@
+diff --git a/config/Makefile.in b/config/Makefile.in
+index dd89044..4fc7de3 100644
+--- a/config/Makefile.in
++++ b/config/Makefile.in
+@@ -64,9 +64,9 @@ HOST := @host@
USECONFIG := @useconfig@
MKLIBOPTIONS := @mkliboption@
@@ -10,6 +12,6 @@
+EXTRA_CFLAGS := -Iinclude @cflags@ $(CFLAGS)
+EXTRA_CXXFLAGS := -Iinclude @cflags@ $(CXXFLAGS)
+EXTRA_LDFLAGS := @ldflags@ $(LDFLAGS)
+ WERROR := @werror@
WINRTDEBUG := @winrtdebug@
-
- GLBPATCHFLAGS := @glbpatchcflags@
+ CTORSINITARRAY := @ctorsinitarray@
diff --git a/sci-physics/root/metadata.xml b/sci-physics/root/metadata.xml
index 30f46353c..2a666cfdc 100644
--- a/sci-physics/root/metadata.xml
+++ b/sci-physics/root/metadata.xml
@@ -1,13 +1,14 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer>
- <email>bircoph@gmail.com</email>
- <name>Andrew Savchenko</name>
- <description>Maintainer. Assign bugs to him</description>
- </maintainer>
- <herd>sci-physics</herd>
- <longdescription lang="en">
+<maintainer>
+ <email>bircoph@gmail.com</email>
+ <name>Andrew Savchenko</name>
+ <description>Maintainer. Assign bugs to him</description>
+</maintainer>
+<herd>sci-physics</herd>
+<herd>proxy-maintainers</herd>
+<longdescription lang="en">
ROOT Object Oriented Technologies is an object oriented data
analysis framework written in C++ by the CERN. Widely used in
high energy physics, but also in other data analysis applications. It
@@ -15,18 +16,13 @@
statistics, serialization, optimization, linear algebra, graphics,
GUI toolkit, and a complete visualization framework.
</longdescription>
- <use>
- <flag name="c++0x"> Build ROOT using the C++11 standard. Requires <pkg>sys-devel/gcc</pkg>&gt;=4.7.0</flag>
- <flag name="clarens"> Build the Clarens and PEAC plug-ins, to use in a GRID enabled analysis</flag>
- <flag name="fits">Support for images and data from FITS files with <pkg>sci-libs/cfitsio</pkg></flag>
- <flag name="geocad">Enable ROOT-CAD interface using <pkg>sci-libs/opencascade</pkg></flag>
- <flag name="htmldoc">Generate html documentation</flag>
- <!--<flag name="llvm">Build the new cling interactive interpreter based on <pkg>sys-devel/llvm</pkg></flag>!-->
- <flag name="math">Build all math related libraries plugins, needs <pkg>sci-libs/gsl</pkg> </flag>
- <flag name="metric">Default to A4 paper size and metric measurement</flag>
- <flag name="pythia6">Build the interface for <pkg>sci-physics/pythia</pkg> version 6.x </flag>
- <flag name="pythia8">Build the interface for <pkg>sci-physics/pythia</pkg> version 8.x </flag>
- <flag name="reflex">Build the reflection database for the C++ interpreter</flag>
- <flag name="xrootd">Build the interface for <pkg>net-libs/xrootd</pkg> </flag>
- </use>
+<use>
+ <flag name="fits">Support for images and data from FITS files with <pkg>sci-libs/cfitsio</pkg></flag>
+ <flag name="geocad">Enable ROOT-CAD interface using <pkg>sci-libs/opencascade</pkg></flag>
+ <flag name="http">Enable http server support including but not limited to fastcgi support</flag>
+ <flag name="math">Build all math related libraries plugins, needs <pkg>sci-libs/gsl</pkg> </flag>
+ <flag name="pythia6">Build the interface for <pkg>sci-physics/pythia</pkg> version 6.x </flag>
+ <flag name="pythia8">Build the interface for <pkg>sci-physics/pythia</pkg> version 8.x </flag>
+ <flag name="xrootd">Build the interface for <pkg>net-libs/xrootd</pkg> </flag>
+</use>
</pkgmetadata>
diff --git a/sci-physics/root/root-6.00.01.ebuild b/sci-physics/root/root-6.00.01.ebuild
new file mode 100644
index 000000000..440bd32b7
--- /dev/null
+++ b/sci-physics/root/root-6.00.01.ebuild
@@ -0,0 +1,440 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sci-physics/root/root-5.34.18-r1.ebuild,v 1.3 2014/03/27 18:51:54 bicatali Exp $
+
+EAPI=5
+
+if [[ ${PV} == "9999" ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="http://root.cern.ch/git/root.git"
+ KEYWORDS=""
+else
+ SRC_URI="ftp://root.cern.ch/${PN}/${PN}_v${PV}.source.tar.gz"
+ KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+ S="${WORKDIR}/${PN}"
+fi
+
+PYTHON_COMPAT=( python2_{6,7} )
+
+inherit elisp-common eutils fdo-mime fortran-2 multilib python-single-r1 \
+ toolchain-funcs user versionator
+
+DESCRIPTION="C++ data analysis framework and interpreter from CERN"
+HOMEPAGE="http://root.cern.ch/"
+DOC_URI="ftp://root.cern.ch/${PN}/doc"
+
+SLOT="0/$(get_version_component_range 1-3 ${PV})"
+LICENSE="LGPL-2.1 freedist GPL-2 MSttfEULA LGPL-3 libpng UoI-NCSA"
+IUSE="+X afs avahi doc emacs examples fits fftw geocad graphviz
+ http kerberos ldap +math minimal mpi mysql odbc +opengl openmp
+ oracle postgres prefix pythia6 pythia8 python qt4 sqlite ssl
+ xinetd xml xrootd"
+
+# TODO: add support for: davix
+# TODO: ROOT-6 supports x32 ABI, but half of its dependencies doesn't
+# TODO: unbundle: cling, vdt
+
+REQUIRED_USE="
+ mpi? ( math !openmp )
+ opengl? ( X )
+ openmp? ( math !mpi )
+ python? ( ${PYTHON_REQUIRED_USE} )
+ qt4? ( X )
+"
+
+CDEPEND="
+ app-arch/xz-utils:0=
+ >=dev-lang/cfortran-4.4-r2
+ dev-libs/libpcre:3=
+ media-fonts/dejavu
+ media-libs/freetype:2=
+ media-libs/giflib:0=
+ media-libs/libpng:0=
+ media-libs/tiff:0=
+ >=sys-devel/clang-3.4
+ sys-libs/zlib:0=
+ virtual/jpeg:0
+ virtual/shadow
+ X? (
+ media-libs/ftgl:0=
+ media-libs/glew:0=
+ x11-libs/libX11:0=
+ x11-libs/libXext:0=
+ x11-libs/libXpm:0=
+ !minimal? (
+ opengl? ( virtual/opengl virtual/glu x11-libs/gl2ps:0= )
+ qt4? (
+ dev-qt/qtgui:4=
+ dev-qt/qtopengl:4=
+ dev-qt/qt3support:4=
+ dev-qt/qtsvg:4=
+ dev-qt/qtwebkit:4=
+ dev-qt/qtxmlpatterns:4=
+ )
+ x11-libs/libXft:0=
+ )
+ )
+ !minimal? (
+ afs? ( net-fs/openafs )
+ avahi? ( net-dns/avahi:0= )
+ emacs? ( virtual/emacs )
+ fits? ( sci-libs/cfitsio:0= )
+ fftw? ( sci-libs/fftw:3.0= )
+ geocad? ( sci-libs/opencascade:= )
+ graphviz? ( media-gfx/graphviz:0= )
+ http? ( dev-libs/fcgi:0= )
+ kerberos? ( virtual/krb5 )
+ ldap? ( net-nds/openldap:0= )
+ math? (
+ sci-libs/gsl:0=
+ sci-mathematics/unuran:0=
+ mpi? ( virtual/mpi )
+ )
+ mysql? ( virtual/mysql )
+ odbc? ( || ( dev-db/libiodbc:0= dev-db/unixODBC:0= ) )
+ oracle? ( dev-db/oracle-instantclient-basic:0= )
+ postgres? ( dev-db/postgresql-base:= )
+ pythia6? ( sci-physics/pythia:6= )
+ pythia8? ( >=sci-physics/pythia-8.1.80:8= )
+ python? ( ${PYTHON_DEPS} )
+ sqlite? ( dev-db/sqlite:3= )
+ ssl? ( dev-libs/openssl:0= )
+ xml? ( dev-libs/libxml2:2= )
+ xrootd? ( >=net-libs/xrootd-3.3.5:0= )
+ )"
+
+# TODO: ruby is not yet ported to ROOT-6, reenable when (if?) ready
+# ruby? (
+# dev-lang/ruby
+# dev-ruby/rubygems
+# )
+#
+# TODO: root-6.00.01 crashes with system libafterimage
+# || (
+# media-libs/libafterimage:0=[gif,jpeg,png,tiff]
+# >=x11-wm/afterstep-2.2.11:0=[gif,jpeg,png,tiff]
+# )
+# --disable-builtin-afterimage
+
+DEPEND="${CDEPEND}
+ virtual/pkgconfig"
+
+RDEPEND="${CDEPEND}
+ xinetd? ( sys-apps/xinetd )"
+
+PDEPEND="doc? ( ~app-doc/root-docs-${PV}[http=,math=] )"
+
+# install stuff in ${P} and not ${PF} for easier tracking in root-docs
+DOC_DIR="/usr/share/doc/${P}"
+
+die_compiler() {
+ die "Need one of the following C++11 capable compilers:"
+ die " >=sys-devel/gcc[cxx]-4.8"
+ die " >=sys-devel/clang-3.4"
+ die " >=dev-lang/icc-13"
+}
+
+pkg_setup() {
+ fortran-2_pkg_setup
+ use python && python-single-r1_pkg_setup
+ echo
+ elog "There are extra options on packages not yet in Gentoo:"
+ elog "Afdsmgrd, AliEn, castor, Chirp, dCache, gfal, Globus, gLite,"
+ elog "HDFS, Monalisa, MaxDB/SapDB, SRP."
+ elog "You can use the env variable EXTRA_ECONF variable for this."
+ elog "For example, for SRP, you would set: "
+ elog "EXTRA_ECONF=\"--enable-srp --with-srp-libdir=${EROOT%/}/usr/$(get_libdir)\""
+ echo
+
+ enewgroup rootd
+ enewuser rootd -1 -1 /var/spool/rootd rootd
+
+ use minimal && return
+
+ if use math; then
+ if use openmp; then
+ if [[ $(tc-getCXX)$ == *g++* ]] && ! tc-has-openmp; then
+ ewarn "You are using a g++ without OpenMP capabilities"
+ die "Need an OpenMP capable compiler"
+ else
+ export USE_OPENMP=1 USE_PARALLEL_MINUIT2=1
+ fi
+ elif use mpi; then
+ export USE_MPI=1 USE_PARALLEL_MINUIT2=1
+ fi
+ fi
+
+ # check for supported compilers
+ case $(tc-getCXX) in
+ *g++*)
+ if ! version_is_at_least "4.8" "$(gcc-version)"; then
+ eerror "You are using a g++ without C++11 capabilities"
+ die_compiler
+ fi
+ ;;
+ *clang++*)
+ # >=clang-3.4 is already in DEPEND
+ ;;
+ *icc*|*icpc*)
+ if ! version_is_at_least "13" "$(has_version dev-lang/icc)"; then
+ eerror "You are using an icc without C++11 capabilities"
+ die_compiler
+ fi
+ ;;
+ *)
+ ewarn "You are using an unsupported compiler."
+ ewarn "Please report any issues upstream."
+ ;;
+ esac
+}
+
+src_prepare() {
+ epatch \
+ "${FILESDIR}"/${PN}-5.28.00b-glibc212.patch \
+ "${FILESDIR}"/${PN}-5.32.00-afs.patch \
+ "${FILESDIR}"/${PN}-5.32.00-cfitsio.patch \
+ "${FILESDIR}"/${PN}-5.32.00-chklib64.patch \
+ "${FILESDIR}"/${PN}-5.34.13-unuran.patch \
+ "${FILESDIR}"/${PN}-5.34.13-desktop.patch \
+ "${FILESDIR}"/${PN}-6.00.01-dotfont.patch \
+ "${FILESDIR}"/${PN}-6.00.01-nobyte-compile.patch \
+ "${FILESDIR}"/${PN}-6.00.01-prop-flags.patch \
+ "${FILESDIR}"/${PN}-6.00.01-llvm.patch \
+ "${FILESDIR}"/${PN}-6.00.01-geocad.patch
+
+ # make sure we use system libs and headers
+ rm montecarlo/eg/inc/cfortran.h README/cfortran.doc || die
+ #rm -r graf2d/asimage/src/libAfterImage || die
+ rm -r graf3d/ftgl/{inc,src} || die
+ rm -r graf2d/freetype/src || die
+ rm -r graf3d/glew/{inc,src} || die
+ rm -r core/pcre/src || die
+ rm -r math/unuran/src/unuran-*.tar.gz || die
+ LANG=C LC_ALL=C find core/zip -type f -name "[a-z]*" -print0 | \
+ xargs -0 rm || die
+ rm -r core/lzma/src/*.tar.gz || die
+ rm graf3d/gl/{inc,src}/gl2ps.* || die
+ sed -i -e 's/^GLLIBS *:= .* $(OPENGLLIB)/& -lgl2ps/' \
+ graf3d/gl/Module.mk || die
+
+ # In Gentoo, libPythia6 is called libpythia6
+ # iodbc is in /usr/include/iodbc
+ # pg_config.h is checked instead of libpq-fe.h
+ sed -i \
+ -e 's:libPythia6:libpythia6:g' \
+ -e 's:$ODBCINCDIR:$ODBCINCDIR /usr/include/iodbc:' \
+ -e 's:libpq-fe.h:pg_config.h:' \
+ configure || die "adjusting configure for Gentoo failed"
+
+ # prefixify the configure script
+ sed -i \
+ -e 's:/usr:${EPREFIX}/usr:g' \
+ configure || die "prefixify configure failed"
+
+ # CSS should use local images
+ sed -i -e 's,http://.*/images/,,' etc/html/ROOT.css || die "html sed failed"
+}
+
+# NB: ROOT uses bundled LLVM, because it is patched and API-incompatible with
+# system LLVM.
+# NB: As of 6.00.0.1 cmake is not ready as it can't fully replace configure,
+# e.g. for afs and geocad.
+
+src_configure() {
+ local -a myconf
+ # Some compilers need special care
+ case $(tc-getCXX) in
+ *clang++*)
+ myconf=(
+ --with-clang
+ --with-f77="$(tc-getFC)"
+ )
+ ;;
+ *icc*|*icpc*)
+ # For icc we need to provide architecture manually
+ # and not to tamper with tc-get*
+ use x86 && myconf=( linuxicc )
+ use amd64 && myconf=( linuxx8664icc )
+ ;;
+ *) # gcc goes here too
+ myconf=(
+ --with-cc="$(tc-getCC)"
+ --with-cxx="$(tc-getCXX)"
+ --with-f77="$(tc-getFC)"
+ --with-ld="$(tc-getCXX)"
+ )
+ ;;
+ esac
+
+ # the configure script is not the standard autotools
+ myconf+=(
+ --prefix="${EPREFIX}/usr"
+ --etcdir="${EPREFIX}/etc/root"
+ --libdir="${EPREFIX}/usr/$(get_libdir)/${PN}"
+ --docdir="${EPREFIX}${DOC_DIR}"
+ --tutdir="${EPREFIX}${DOC_DIR}/examples/tutorials"
+ --testdir="${EPREFIX}${DOC_DIR}/examples/tests"
+ --disable-werror
+ --nohowto
+ )
+
+ if use minimal; then
+ myconf+=( $(usex X --gminimal --minimal) )
+ else
+ myconf+=(
+ --with-afs-shared=yes
+ --with-sys-iconpath="${EPREFIX}/usr/share/pixmaps"
+ --disable-builtin-ftgl
+ --disable-builtin-freetype
+ --disable-builtin-glew
+ --disable-builtin-pcre
+ --disable-builtin-zlib
+ --disable-builtin-lzma
+ --enable-astiff
+ --enable-explicitlink
+ --enable-gdml
+ --enable-memstat
+ --enable-shadowpw
+ --enable-shared
+ --enable-soversion
+ --enable-table
+ --fail-on-missing
+ $(use_enable X x11)
+ $(use_enable X asimage)
+ $(use_enable X xft)
+ $(use_enable afs)
+ $(use_enable avahi bonjour)
+ $(use_enable fits fitsio)
+ $(use_enable fftw fftw3)
+ $(use_enable geocad)
+ $(use_enable graphviz gviz)
+ $(use_enable kerberos krb5)
+ $(use_enable ldap)
+ $(use_enable math genvector)
+ $(use_enable math gsl-shared)
+ $(use_enable math mathmore)
+ $(use_enable math minuit2)
+ $(use_enable math roofit)
+ $(use_enable math tmva)
+ $(use_enable math vc)
+ $(use_enable math vdt)
+ $(use_enable math unuran)
+ $(use_enable mysql)
+ $(use_enable odbc)
+ $(use_enable opengl)
+ $(use_enable oracle)
+ $(use_enable postgres pgsql)
+ $(usex postgres \
+ "--with-pgsql-incdir=$(pg_config --includedir)" "")
+ $(use_enable prefix rpath)
+ $(use_enable pythia6)
+ $(use_enable pythia8)
+ $(use_enable python)
+ $(use_enable qt4 qt)
+ $(use_enable qt4 qtgsi)
+ $(use_enable sqlite)
+ $(use_enable ssl)
+ $(use_enable xml)
+ $(use_enable xrootd)
+ ${EXTRA_ECONF}
+ )
+ fi
+
+ ./configure ${myconf[@]} || die "configure failed"
+}
+
+src_compile() {
+ emake \
+ OPT="${CXXFLAGS}" \
+ F77OPT="${FFLAGS}" \
+ ROOTSYS="${S}" \
+ LD_LIBRARY_PATH="${S}/lib"
+ use emacs && ! use minimal && elisp-compile build/misc/*.el
+}
+
+daemon_install() {
+ local daemons="rootd proofd"
+ dodir /var/spool/rootd
+ fowners rootd:rootd /var/spool/rootd
+ dodir /var/spool/rootd/{pub,tmp}
+ fperms 1777 /var/spool/rootd/{pub,tmp}
+
+ for i in ${daemons}; do
+ newinitd "${FILESDIR}"/${i}.initd ${i}
+ newconfd "${FILESDIR}"/${i}.confd ${i}
+ done
+ if use xinetd; then
+ insinto /etc/xinetd
+ doins "${S}"/etc/daemons/{rootd,proofd}.xinetd
+ fi
+}
+
+desktop_install() {
+ cd "${S}"
+ echo "Icon=root-system-bin" >> etc/root.desktop
+ domenu etc/root.desktop
+ doicon build/package/debian/root-system-bin.png
+
+ insinto /usr/share/icons/hicolor/48x48/mimetypes
+ doins build/package/debian/application-x-root.png
+
+ insinto /usr/share/icons/hicolor/48x48/apps
+ doicon build/package/debian/root-system-bin.xpm
+}
+
+cleanup_install() {
+ # Cleanup of files either already distributed or unused on Gentoo
+ pushd "${ED}" > /dev/null
+ rm usr/share/root/fonts/LICENSE || die
+ rm etc/root/proof/*.sample || die
+ rm -r etc/root/daemons || die
+ # these should be in PATH
+ mv etc/root/proof/utils/pq2/pq2* usr/bin/ || die
+ rm ${DOC_DIR#/}/{INSTALL,LICENSE} || die
+ use examples || rm -r ${DOC_DIR#/}/examples || die
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+ dodoc README.md
+
+ echo "LDPATH=${EPREFIX%/}/usr/$(get_libdir)/root" > 99root
+
+ if ! use minimal; then
+ use pythia8 && echo "PYTHIA8=${EPREFIX%/}/usr" >> 99root
+ if use python; then
+ echo "PYTHONPATH=${EPREFIX%/}/usr/$(get_libdir)/root" >> 99root
+ python_optimize "${D}/usr/$(get_libdir)/root"
+ fi
+ use emacs && elisp-install ${PN} build/misc/*.{el,elc}
+ if use examples; then
+ # these should really be taken care of by the root make install
+ insinto ${DOC_DIR}/examples/tutorials/tmva
+ doins -r tmva/test
+ fi
+ fi
+ doenvd 99root
+
+ # The build system installs Emacs support unconditionally in the wrong
+ # directory. Remove it and call elisp-install in case of USE=emacs.
+ rm -r "${ED}"/usr/share/emacs || die
+
+ daemon_install
+ desktop_install
+ cleanup_install
+}
+
+pkg_postinst() {
+ fdo-mime_desktop_database_update
+ if [[ -z ${REPLACING_VERSIONS} ||
+ $(get_major_version ${REPLACING_VERSIONS}) -lt 6 ]]; then
+ ewarn "ROOT-6 uses Cling instead of CINT. Cling follows the C++ standard much more"
+ ewarn "strictly than CINT, in particular in requires headers to be included and"
+ ewarn "libraries to be properly loaded. Please carefully follow a migration guide:"
+ ewarn "http://root.cern.ch/root/htmldoc/notes/release-notes.html#cling-vs-cint"
+ fi
+}
+
+pkg_postrm() {
+ fdo-mime_desktop_database_update
+}
diff --git a/sci-physics/root/root-9999.ebuild b/sci-physics/root/root-9999.ebuild
index 6c7cceecb..b46789a5e 100644..120000
--- a/sci-physics/root/root-9999.ebuild
+++ b/sci-physics/root/root-9999.ebuild
@@ -1,410 +1 @@
-# Copyright 1999-2014 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI=5
-
-if [[ ${PV} == "9999" ]] ; then
- _GIT=git-r3
- EGIT_REPO_URI="http://root.cern.ch/git/root.git"
- SRC_URI=""
- KEYWORDS=""
-else
- SRC_URI="ftp://root.cern.ch/${PN}/${PN}_v${PV}.source.tar.gz"
- KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
-fi
-
-PYTHON_COMPAT=( python2_{6,7} )
-inherit elisp-common eutils fdo-mime fortran-2 ${_GIT} multilib python-single-r1 toolchain-funcs user versionator
-
-ROOFIT_DOC_PV=2.91-33
-TMVA_DOC_PV=4.03
-PATCH_PV=5.28.00b
-PATCH_PV2=5.32.00
-PATCH_PV3=5.34.05
-PATCH_PVLIVE=9999
-
-DESCRIPTION="C++ data analysis framework and interpreter from CERN"
-HOMEPAGE="http://root.cern.ch/"
-SRC_URI="${SRC_URI}
- !minimal? ( doc? (
- math? (
- ftp://root.cern.ch/${PN}/doc/RooFit_Users_Manual_${ROOFIT_DOC_PV}.pdf
- http://tmva.sourceforge.net/docu/TMVAUsersGuide.pdf -> TMVAUsersGuide-v${TMVA_DOC_PV}.pdf )
- metric? ( ftp://root.cern.ch/${PN}/doc/ROOTUsersGuideA4.pdf -> ROOTUsersGuideA4-${PV}.pdf )
- !metric? ( ftp://root.cern.ch/${PN}/doc/ROOTUsersGuideLetter.pdf -> ROOTUsersGuideLetter-${PV}.pdf )
- htmldoc? (
- http://root.cern.ch/drupal/sites/default/files/rootdrawing-logo.png
- http://root.cern.ch/drupal/sites/all/themes/newsflash/images/blue/root-banner.png
- http://root.cern.ch/drupal/sites/all/themes/newsflash/images/info.png )
- ) )"
-
-SLOT="0"
-LICENSE="LGPL-2.1"
-IUSE="+X afs avahi c++0x doc emacs examples fits fftw geocad graphviz htmldoc
- kerberos ldap +math +metric minimal mpi mysql odbc +opengl openmp oracle postgres
- prefix pythia6 pythia8 python qt4 ruby sqlite ssl xinetd xml xrootd"
-
-REQUIRED_USE="
- !X? ( !opengl !qt4 )
- htmldoc? ( doc )
- mpi? ( math !openmp )
- openmp? ( math !mpi )
- python? ( ${PYTHON_REQUIRED_USE} )"
-
-CDEPEND="
- app-arch/xz-utils
- >=dev-lang/cfortran-4.4-r2
- dev-libs/libpcre
- media-fonts/dejavu
- media-libs/freetype
- media-libs/giflib
- media-libs/libpng:0
- media-libs/tiff:0
- sys-libs/zlib
- virtual/jpeg
- virtual/shadow
- X? (
- media-libs/ftgl
- media-libs/glew
- x11-libs/libX11
- x11-libs/libXext
- x11-libs/libXpm
- !minimal? (
- || (
- >=media-libs/libafterimage-1.20[gif,jpeg,png,tiff]
- >=x11-wm/afterstep-2.2.11[gif,jpeg,png,tiff]
- )
- opengl? ( virtual/opengl virtual/glu x11-libs/gl2ps )
- qt4? (
- dev-qt/qtgui:4
- dev-qt/qtopengl:4
- dev-qt/qt3support:4
- dev-qt/qtsvg:4
- dev-qt/qtwebkit:4
- dev-qt/qtxmlpatterns:4
- )
- x11-libs/libXft
- )
- )
- !minimal? (
- afs? ( net-fs/openafs )
- avahi? ( net-dns/avahi )
- emacs? ( virtual/emacs )
- fits? ( sci-libs/cfitsio )
- fftw? ( sci-libs/fftw:3.0 )
- geocad? ( sci-libs/opencascade )
- graphviz? ( media-gfx/graphviz )
- kerberos? ( virtual/krb5 )
- ldap? ( net-nds/openldap )
- math? ( sci-libs/gsl sci-mathematics/unuran mpi? ( virtual/mpi ) )
- mysql? ( virtual/mysql )
- odbc? ( || ( dev-db/libiodbc dev-db/unixODBC ) )
- oracle? ( dev-db/oracle-instantclient-basic )
- postgres? ( dev-db/postgresql-base )
- pythia6? ( sci-physics/pythia:6 )
- pythia8? ( >=sci-physics/pythia-8.1.80:8 )
- python? ( ${PYTHON_DEPS} )
- ruby? (
- dev-lang/ruby
- dev-ruby/rubygems )
- sqlite? ( dev-db/sqlite:3 )
- ssl? ( dev-libs/openssl )
- xml? ( dev-libs/libxml2 )
- xrootd? ( >=net-libs/xrootd-3.2.0 )
- )"
-
-DEPEND="${CDEPEND}
- virtual/pkgconfig"
-
-RDEPEND="${CDEPEND}
- xinetd? ( sys-apps/xinetd )"
-
-PDEPEND="htmldoc? ( ~app-doc/root-docs-${PV} )"
-
-S="${WORKDIR}/${PN}"
-
-pkg_setup() {
- fortran-2_pkg_setup
- use python && python-single-r1_pkg_setup
- echo
- elog "There are extra options on packages not yet in Gentoo:"
- elog "Afdsmgrd, AliEn, castor, Chirp, dCache, gfal, Globus, gLite,"
- elog "HDFS, Monalisa, MaxDB/SapDB, SRP."
- elog "You can use the env variable EXTRA_ECONF variable for this."
- elog "For example, for SRP, you would set: "
- elog "EXTRA_ECONF=\"--enable-srp --with-srp-libdir=${EROOT%/}/usr/$(get_libdir)\""
- echo
- enewgroup rootd
- enewuser rootd -1 -1 /var/spool/rootd rootd
- use minimal && return
-
- if use math; then
- if use openmp; then
- if [[ $(tc-getCXX)$ == *g++* ]] && ! tc-has-openmp; then
- ewarn "You are using a g++ without OpenMP capabilities"
- die "Need an OpenMP capable compiler"
- else
- export USE_OPENMP=1 USE_PARALLEL_MINUIT2=1
- fi
- elif use mpi; then
- export USE_MPI=1 USE_PARALLEL_MINUIT2=1
- fi
- fi
- if use c++0x && [[ $(tc-getCXX) == *g++* ]] && \
- ! version_is_at_least "4.7" "$(gcc-version)"; then
- eerror "You are using a g++ without C++0x capabilities"
- die "Need an C++0x capable compiler"
- fi
-}
-
-src_prepare() {
- epatch \
- "${FILESDIR}"/${PN}-${PATCH_PV2}-prop-flags.patch \
- "${FILESDIR}"/${PN}-${PATCH_PV3}-nobyte-compile.patch \
- "${FILESDIR}"/${PN}-${PATCH_PV}-glibc212.patch \
- "${FILESDIR}"/${PN}-${PATCH_PV}-unuran.patch \
- "${FILESDIR}"/${PN}-${PATCH_PV2}-afs.patch \
- "${FILESDIR}"/${PN}-${PATCH_PV2}-cfitsio.patch \
- "${FILESDIR}"/${PN}-${PATCH_PV2}-chklib64.patch \
- "${FILESDIR}"/${PN}-${PATCH_PV2}-dotfont.patch
-
- # make sure we use system libs and headers
- rm montecarlo/eg/inc/cfortran.h README/cfortran.doc || die
- rm -r graf2d/asimage/src/libAfterImage || die
- rm -r graf3d/ftgl/{inc,src} || die
- rm -r graf2d/freetype/src || die
- rm -r graf3d/glew/{inc,src} || die
- rm -r core/pcre/src || die
- rm -r math/unuran/src/unuran-*.tar.gz || die
- LANG=C LC_ALL=C find core/zip -type f -name "[a-z]*" -print0 | xargs -0 rm -f || die
- rm -r core/lzma/src/*.tar.gz || die
- rm graf3d/gl/{inc,src}/gl2ps.* || die
- sed -i -e 's/^GLLIBS *:= .* $(OPENGLLIB)/& -lgl2ps/' graf3d/gl/Module.mk || die
-
- # In Gentoo, libPythia6 is called libpythia6
- # libungif is called libgif,
- # iodbc is in /usr/include/iodbc
- # pg_config.h is checked instead of libpq-fe.h
- sed -i \
- -e 's:libPythia6:libpythia6:g' \
- -e 's:ungif:gif:g' \
- -e 's:$ODBCINCDIR:$ODBCINCDIR /usr/include/iodbc:' \
- -e 's:libpq-fe.h:pg_config.h:' \
- configure || die "adjusting configure for Gentoo failed"
-
- # prefixify the configure script
- sed -i \
- -e 's:/usr:${EPREFIX}/usr:g' \
- configure || die "prefixify configure failed"
-
- # QTDIR only used for qt3 in gentoo, and configure looks for it.
- unset QTDIR
-
- # Make html docs self-consistent for offline work (based on Fedora spec)
- if use htmldoc && ! use minimal; then
- epatch "${FILESDIR}"/${PN}-${PATCH_PVLIVE}-htmldoc.patch
- # make images local
- sed 's!http://root.cern.ch/drupal/sites/all/themes/newsflash/images/blue/!!' \
- -i etc/html/ROOT.css || die "htmldoc sed failed"
- sed 's!http://root.cern.ch/drupal/sites/all/themes/newsflash/images/!!' \
- -i etc/html/ROOT.css || die "htmldoc sed failed"
- sed 's!http://root.cern.ch/drupal/sites/default/files/!!' \
- -i etc/html/header.html || die "htmldoc sed failed"
-
- cp "${DISTDIR}"/{rootdrawing-logo.png,root-banner.png,info.png} etc/html ||
- die "htmldoc preparation failed"
- fi
-}
-
-src_configure() {
- # the configure script is not the standard autotools
- local mycommonconf="
- --prefix="${EPREFIX}"/usr \
- --etcdir="${EPREFIX}"/etc/root \
- --libdir="${EPREFIX}"/usr/$(get_libdir)/${PN} \
- --docdir="${EPREFIX}"/usr/share/doc/${PF} \
- --tutdir="${EPREFIX}"/usr/share/doc/${PF}/examples/tutorials \
- --testdir="${EPREFIX}"/usr/share/doc/${PF}/examples/tests \
- --with-cc=$(tc-getCC) \
- --with-cxx=$(tc-getCXX) \
- --with-f77=$(tc-getFC) \
- --with-ld=$(tc-getCXX) \
- --nohowto
- "
- if use minimal; then
- ./configure \
- ${mycommonconf} \
- $(usex X --gminimal --minimal) \
- || die "configure failed"
- return
- fi
- ./configure \
- ${mycommonconf} \
- --with-afs-shared=yes \
- --with-sys-iconpath="${EPREFIX}"/usr/share/pixmaps \
- --disable-builtin-afterimage \
- --disable-builtin-ftgl \
- --disable-builtin-freetype \
- --disable-builtin-glew \
- --disable-builtin-pcre \
- --disable-builtin-zlib \
- --disable-builtin-lzma \
- --enable-astiff \
- --enable-explicitlink \
- --enable-gdml \
- --enable-memstat \
- --enable-shadowpw \
- --enable-shared \
- --enable-soversion \
- --enable-table \
- --fail-on-missing \
- $(use_enable X x11) \
- $(use_enable X asimage) \
- $(use_enable X xft) \
- $(use_enable afs) \
- $(use_enable avahi bonjour) \
- $(use_enable c++0x c++11) \
- $(use_enable fits fitsio) \
- $(use_enable fftw fftw3) \
- $(use_enable geocad) \
- $(use_enable graphviz gviz) \
- $(use_enable kerberos krb5) \
- $(use_enable ldap) \
- $(use_enable math gsl-shared) \
- $(use_enable math genvector) \
- $(use_enable math mathmore) \
- $(use_enable math minuit2) \
- $(use_enable math roofit) \
- $(use_enable math tmva) \
- $(use_enable math unuran) \
- $(use_enable math vc) \
- $(use_enable mysql) \
- $(use_enable odbc) \
- $(use_enable opengl) \
- $(use_enable oracle) \
- $(use_enable postgres pgsql) \
- $(usex postgres "--with-pgsql-incdir=$(pg_config --includedir)" "") \
- $(use_enable prefix rpath) \
- $(use_enable pythia6) \
- $(use_enable pythia8) \
- $(use_enable python) \
- $(use_enable qt4 qt) \
- $(use_enable qt4 qtgsi) \
- $(use_enable ruby) \
- $(use_enable sqlite) \
- $(use_enable ssl) \
- $(use_enable xml) \
- $(use_enable xrootd) \
- ${EXTRA_ECONF} \
- || die "configure failed"
-}
-
-src_compile() {
- emake OPT="${CXXFLAGS}" F77OPT="${FFLAGS}" ROOTSYS="${S}" LD_LIBRARY_PATH="${S}/lib"
- if use emacs && ! use minimal; then
- elisp-compile build/misc/*.el || die "elisp-compile failed"
- fi
-}
-
-doc_install() {
- cd "${S}"
- if use doc && ! use minimal; then
- einfo "Installing user's guides"
- if use metric; then
- dodoc "${DISTDIR}"/ROOTUsersGuideA4-${PV}.pdf
- else
- dodoc "${DISTDIR}"/ROOTUsersGuideLetter-${PV}.pdf
- fi
- use math && dodoc \
- "${DISTDIR}"/RooFit_Users_Manual_${ROOFIT_DOC_PV}.pdf \
- "${DISTDIR}"/TMVAUsersGuide-v${TMVA_DOC_PV}.pdf
- fi
-
- if use examples && ! use minimal; then
- # these should really be taken care of by the root make install
- insinto /usr/share/doc/${PF}/examples/tutorials/tmva
- doins -r tmva/test
- else
- rm -r "${ED}"/usr/share/doc/${PF}/examples || die
- fi
-}
-
-daemon_install() {
- cd "${S}"
- local daemons="rootd proofd"
- dodir /var/spool/rootd
- fowners rootd:rootd /var/spool/rootd
- dodir /var/spool/rootd/{pub,tmp}
- fperms 1777 /var/spool/rootd/{pub,tmp}
-
- for i in ${daemons}; do
- newinitd "${FILESDIR}"/${i}.initd ${i}
- newconfd "${FILESDIR}"/${i}.confd ${i}
- done
- if use xinetd; then
- insinto /etc/xinetd
- doins etc/daemons/{rootd,proofd}.xinetd
- fi
-}
-
-desktop_install() {
- cd "${S}"
- echo "Icon=root-system-bin" >> etc/root.desktop
- domenu etc/root.desktop
- doicon build/package/debian/root-system-bin.png
-
- insinto /usr/share/icons/hicolor/48x48/mimetypes
- doins build/package/debian/application-x-root.png
-
- insinto /usr/share/icons/hicolor/48x48/apps
- doicon build/package/debian/root-system-bin.xpm
-}
-
-src_install() {
- emake DESTDIR="${D}" install
-
- echo "LDPATH=${EPREFIX}/usr/$(get_libdir)/root" > 99root
- if ! use minimal; then
- use pythia8 && echo "PYTHIA8=${EPREFIX}/usr" >> 99root
- if use python; then
- echo "PYTHONPATH=${EPREFIX}/usr/$(get_libdir)/root" >> 99root
- python_optimize "${ED}/usr/$(get_libdir)/root"
- fi
- use ruby && echo "RUBYLIB=${EPREFIX}/usr/$(get_libdir)/root" >> 99root
- fi
- doenvd 99root
-
- # The build system installs Emacs support unconditionally and in the wrong
- # directory. Remove it and call elisp-install in case of USE=emacs.
- rm -r "${ED}"/usr/share/emacs
- if use emacs && ! use minimal; then
- elisp-install ${PN} build/misc/*.{el,elc} || die "elisp-install failed"
- fi
-
- doc_install
- daemon_install
- desktop_install
-
- # Cleanup of files either already distributed or unused on Gentoo
- rm "${ED}"usr/share/doc/${PF}/{INSTALL,LICENSE,COPYING.CINT} || die
- rm "${ED}"usr/share/root/fonts/LICENSE || die
- pushd "${ED}"usr/$(get_libdir)/root/cint/cint/lib > /dev/null
- rm posix/mktypes dll_stl/setup \
- G__* dll_stl/G__* dll_stl/rootcint_* posix/exten.o || die
- rm "${ED}"usr/$(get_libdir)/root/cint/cint/include/makehpib || die
- rm "${ED}"/etc/root/proof/*.sample || die
- rm -r "${ED}"/etc/root/daemons || die
- popd > /dev/null
- # these should be in PATH
- mv "${ED}"etc/root/proof/utils/pq2/pq2* \
- "${ED}"usr/bin/ || die
-}
-
-pkg_postinst() {
- fdo-mime_desktop_database_update
-}
-
-pkg_postrm() {
- fdo-mime_desktop_database_update
-}
+root-6.00.01.ebuild \ No newline at end of file